/*****************************************************************************
    sigmask.h

    Diese Datei ist Teil des Programmpakets 'ACL-tftp'.
    Alle Rechte bei Andreas G. Schindler
                    Klappacher Str. 2i
                    64285 Darmstadt, Deutschland.

    Dieses Programm ist 'Freie Software'; Sie knnen es entsprechend den 
    Bedingungen der 'Allgemeinen ffentlichen GNU-Lizenz' (verffentlicht 
    durch die 'Free Software Foundation') weiter verbreiten und/oder 
    modifizieren. Massgeblich ist die Version 2 oder eine neuere Version
    dieser Lizenz. 

    Dieses Programm wird in der Hoffnung dass es ntzlich is weitergegeben,
    jedoch OHNE JEDE GARANTIE. Dieser Garantieauschluss bezieht sich auch
    auf Eigenschaften wie Marktfhigkeit oder Eignung zu einem bestimmten
    Zweck. Details finden sich in der 'Allgemeinen ffentlichen GNU-Lizenz'.

    Eine Kopie dieser Lizenz sollte in  Programmpaket, dem diese Datei
    entstammt, enthalten sein. Falls nicht, schreiben Sie an die 
    'Free Software Foundation, Inc.', 59 Temple Place, Suite 330, Boston, 
    MA  02111-1307  USA.


    This file is part of the 'ACL-tftp' Package
    Copyright (C) 1999-2003 by Andreas G. Schindler
                               Klappacher Str. 2i
                               Darmstadt, Germany.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*****************************************************************************/
#ifndef SIGMASK_H
#define SIGMASK_H
#define	M_HUP	(1<<(SIGHUP-1))		/* Hangup (POSIX).  */
#define	M_INT	(1<<(SIGINT-1))		/* Interrupt (ANSI).  */
#define	M_QUIT	(1<<(SIGQUIT-1))	/* Quit (POSIX).  */
#define	M_ILL	(1<<(SIGILL-1))		/* Illegal instruction (ANSI).  */
#define	M_TRAP	(1<<(SIGTRAP-1))	/* Trace trap (POSIX).  */
#define	M_ABRT	(1<<(SIGABRT-1))	/* Abort (ANSI).  */
#define	M_IOT	(1<<(SIGIOT-1))		/* IOT trap (4.2 BSD).  */
#define	M_BUS	(1<<(SIGBUS-1))		/* BUS error (4.2 BSD).  */
#define	M_FPE	(1<<(SIGFPE-1))		/* Floating-point exception (ANSI).  */
#define	M_KILL	(1<<(SIGKILL-1))	/* Kill, unblockable (POSIX).  */
#define	M_USR1	(1<<(SIGUSR1-1))	/* User-defined signal 1 (POSIX).  */
#define	M_SEGV	(1<<(SIGSEGV-1))	/* Segmentation violation (ANSI).  */
#define	M_USR2	(1<<(SIGUSR2-1))	/* User-defined signal 2 (POSIX).  */
#define	M_PIPE	(1<<(SIGPIPE-1))	/* Broken pipe (POSIX).  */
#define	M_ALRM	(1<<(SIGALRM-1))	/* Alarm clock (POSIX).  */
#define	M_TERM	(1<<(SIGTERM-1))	/* Termination (ANSI).  */
#define	M_STKFLT (1<<(SIGSTKFLT-1))	/* Stack fault.  */
#define	M_CLD	(1<<(SIGCLD-1))		/* Same as SIGCHLD (System V).  */
#define	M_CHLD	(1<<(SIGCHLD-1))	/* Child status has changed (POSIX).  */
#define	M_CONT	(1<<(SIGCONT-1))	/* Continue (POSIX).  */
#define	M_STOP	(1<<(SIGSTOP-1))	/* Stop, unblockable (POSIX).  */
#define	M_TSTP	(1<<(SIGTSTP-1))	/* Keyboard stop (POSIX).  */
#define	M_TTIN	(1<<(SIGTTIN-1))	/* Background read from tty (POSIX).  */
#define	M_TTOU	(1<<(SIGTTOU-1))	/* Background write to tty (POSIX).  */
#define	M_URG	(1<<(SIGURG-1))		/* Urgent condition on socket (4.2 BSD).  */
#define	M_XCPU	(1<<(SIGXCPU-1))	/* CPU limit exceeded (4.2 BSD).  */
#define	M_XFSZ	(1<<(SIGXFSZ-1))	/* File size limit exceeded (4.2 BSD).  */
#define	M_VTALRM (1<<(SIGVTALRM-1))	/* Virtual alarm clock (4.2 BSD).  */
#define	M_PROF	(1<<(SIGPROF-1))	/* Profiling alarm clock (4.2 BSD).  */
#define	M_WINCH	(1<<(SIGWINCH-1))	/* Window size change (4.3 BSD, Sun).  */
#define	M_POLL	(1<<(SIGPOLL-1))	/* Pollable event occurred (System V).  */
#define	M_IO	(1<<(SIGIO-1))		/* I/O now possible (4.2 BSD).  */
#define	M_PWR	(1<<(SIGPWR-1))		/* Power failure restart (System V).  */
#define	M_SYS	(1<<(SIGSYS-1))		/* Bad system call.  */
#define	M_UNUSED (1<<(SIGUNUSED-1))	

#define SIGBLOCK(A,B)   { sigBlock(A); \
                          B; \
                          sigUnblock(A); }

#define SIGSTARTBLOCK(B)  sigBlock(B)
#define SIGENDBLOCK(A)    sigUnblock(A)
#endif /* SIGMASK_H */
